<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
            integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{/css/index.css}" href="../static/css/index.css"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>
<div th:replace="fragments/navigation-bar-home.html :: header"></div>

<header class="masthead" id="page-top">
    <div class="container h-100">
        <div class="row h-100 align-items-center justify-content-center text-center">
            <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                </ol>
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="../static/assets/img/slider3.png"
                             th:src="@{/assets/img/slider3.png}"
                             class="d-block w-100" alt="...">
                    </div>
                    <div class="carousel-item">
                        <img src="../static/assets/img/slider4.png"
                             th:src="@{/assets/img/slider4.png}"
                             class="d-block w-100" alt="...">
                    </div>
                    <div class="carousel-item">
                        <img src="../static/assets/img/slider5.png"
                             th:src="@{/assets/img/slider5.png}"
                             class="d-block w-100" alt="...">
                    </div>
                </div>
                <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>

        </div>
    </div>
</header>
<div class="page-section bg-primary" id="simulate-offer">
    <div class="align-content-center">
        <h1 class="text-center mt-0 mb-5">Simulate offer</h1>
        <form th:action="@{/#simulate-offer}" th:object="${calculateOfferDTO}" method="post">
            <div class="container">
                <div class="form-row justify-content-md-center">
                    <div class="form-group col-sm-6">
                        <label for="brand-dropdown">Car brand</label>
                        <select required th:field="*{brandId}" id="brand-dropdown" class="form-control mr-sm-3">
                            <!--                            <option value="Brand" selected disabled>Brand</option>-->
                            <option th:each="brand: ${brands}" th:value="${brand.id}" th:text="${brand.name}"></option>
                        </select>
                    </div>
                    <div class="form-group col-sm-6">
                        <label for="model-dropdown">Car model</label>
                        <select required id="model-dropdown" th:field="*{modelId}" class="form-control mr-sm-3">
                            <script th:inline="javascript" type="text/javascript">
                                $(document).ready(function () {
                                    $('#brand-dropdown').change(
                                        function () {
                                            $.getJSON('/api/v1/car-model', {
                                                brandId: $(this).val(),
                                                ajax: 'true'
                                            }, function (data) {
                                                var html = '<option value="">Model</option>';
                                                var len = data.length;
                                                for (var i = 0; i < len; i++) {
                                                    html += '<option value="' + data[i].id + '">'
                                                        + data[i].name + '</option>';
                                                }
                                                html += '</option>';

                                                $('#model-dropdown').html(html);
                                                $("#model-dropdown").trigger('contentChanged');
                                            });
                                        });
                                    $("#brand-dropdown").trigger('change');

                                    var brandId = /*[[${calculateOfferDTO.brandId}]]*/ 'default';
                                    var modelId = /*[[${calculateOfferDTO.modelId}]]*/ 'default';

                                    if (modelId !== 'default') {
                                        $.getJSON('/api/v1/car-model', {
                                            brandId: brandId,
                                            ajax: 'true'
                                        }, function (data) {
                                            var html = '<option value="">Model</option>';
                                            var len = data.length;
                                            for (var i = 0; i < len; i++) {
                                                html += '<option';
                                                if (modelId === data[i].id) {
                                                    html += ' selected="true" '
                                                }
                                                html += 'value="' + data[i].id + '">' + data[i].name + '</option>';
                                            }

                                            $('#model-dropdown').html(html);
                                            $("#model-dropdown").trigger('contentChanged');
                                        });
                                        $("#model-dropdown").val(+modelId);
                                        $("#model-dropdown").trigger('change');
                                    }

                                });
                            </script>
                        </select>
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="form-row justify-content-md-center">
                    <div class="form-group col-sm-6">
                        <label for="inputCC">Registration number</label>
                        <input required th:field="*{registrationNumber}" type="text" class="form-control"
                               id="inputRegistrationNumber"
                               onkeypress="if(this.value.length<7 && this.value.length>8) return false;">
                        <label class="error" th:errors="*{registrationNumber}"></label>
                    </div>
                    <div class="form-group col-sm-6">
                        <label for="registration-dropdown">Car registration date</label>
                        <input required th:field="*{registrationDate}" type="date" id="registration-dropdown"
                               class="form-control mr-sm-3"/>
                        <!--                        script that sets max date to today: -->
                        <script>
                            var today = new Date();
                            var dd = today.getDate();
                            var mm = today.getMonth() + 1;
                            var yyyy = today.getFullYear();
                            if (dd < 10) {
                                dd = '0' + dd
                            }
                            if (mm < 10) {
                                mm = '0' + mm
                            }
                            today = yyyy + '-' + mm + '-' + dd;
                            document.getElementById("registration-dropdown").setAttribute("max", today);
                        </script>
                    </div>
                </div>
            </div>

            <div class="container">
                <div class="form-row justify-content-md-center">
                    <div class="form-group col-sm-6">
                        <label for="inputCC">Cubic capacity</label>
                        <input required th:field="*{cubicCapacity}" type="number" class="form-control" id="inputCC"
                               onkeypress="if(this.value.length==9) return false;">
                        <label class="error" th:errors="*{cubicCapacity}"></label>
                    </div>
                    <div sec:authorize="isAnonymous()" class="form-group col-sm-6">
                        <label for="birth-input">Driver's birth date</label>
                        <input sec:authorize="isAnonymous()" th:field="*{birthDate}" type="date" id="birth-input"
                               required class="form-control mr-sm-3"/>
                        <!--                        script that sets maximum birth date to 18 years ago (driver needs to be at least 18):-->
                        <script>
                            var today = new Date();
                            var dd = today.getDate();
                            var mm = today.getMonth() + 1;
                            var yyyy = today.getFullYear() - 18;
                            if (dd < 10) {
                                dd = '0' + dd
                            }
                            if (mm < 10) {
                                mm = '0' + mm
                            }

                            today = yyyy + '-' + mm + '-' + dd;
                            document.getElementById("birth-input").setAttribute("max", today);
                        </script>
                    </div>

                    <div sec:authorize="isAuthenticated()" th:unless="*{birthDate.isEmpty()}" class="form-group col-sm-6">
                        <label for="birthDate">Driver's birth date</label>
                        <input th:field="*{birthDate}" th:value="*{birthDate}" readonly="readonly"
                               title="To change, please edit your profile information" id="birthDate"
                               class="form-control mr-sm-3"/>
                    </div>
                    <div sec:authorize="isAuthenticated()" th:if="*{birthDate.isEmpty()}" class="form-group col-sm-6">
                        <label for="birthDate-input">Driver's birth date</label>
                        <input th:field="*{birthDate}" type="date" id="birthDate-input"
                               required class="form-control mr-sm-3"/>
                        <script>
                            var today = new Date();
                            var dd = today.getDate();
                            var mm = today.getMonth() + 1;
                            var yyyy = today.getFullYear() - 18;
                            if (dd < 10) {
                                dd = '0' + dd
                            }
                            if (mm < 10) {
                                mm = '0' + mm
                            }

                            today = yyyy + '-' + mm + '-' + dd;
                            document.getElementById("birthDate-input").setAttribute("max", today);
                        </script>
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="form-row">
                    <div sec:authorize="isAnonymous()" class="form-group col-sm-6">
                        <label for="accident-dropdown">Previous accidents</label>
                        <select sec:authorize="isAnonymous()" required th:field="*{hasAccident}" id="accident-dropdown"
                                class="form-control mr-sm-3">
                            <option th:value="1">Yes</option>
                            <option th:value="0">No</option>
                        </select>
                    </div>
                    <div sec:authorize="isAuthenticated()" th:unless="*{birthDate.isEmpty()}" class="form-group col-sm-6">
                        <label for="accident-dropdown-logged-readonly">Previous accidents</label>
                        <select sec:authorize="isAuthenticated()" readonly="readonly" required th:field="*{hasAccident}"
                                title="To change, please edit your profile information"
                                id="accident-dropdown-logged-readonly"
                                class="form-control mr-sm-3">
                            <option th:if="${calculateOfferDTO.hasAccident}" selected th:value="true">Yes</option>
                            <option th:if="${!calculateOfferDTO.hasAccident}" selected th:value="false">No</option>
                        </select>
                    </div>
                    <div sec:authorize="isAuthenticated()" th:if="*{birthDate.isEmpty()}" class="form-group col-sm-6">
                        <label for="accident-dropdown-logged">Previous accidents</label>
                        <select sec:authorize="isAuthenticated()" required th:field="*{hasAccident}"
                                id="accident-dropdown-logged" class="form-control mr-sm-3">
                            <option th:value="1">Yes</option>
                            <option th:value="0">No</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="justify-content-md-center">
                <div class="justify-content-md-center">
                    <div class="text-center">
                        <button type="submit" class=" mt-3 mb-5 btn btn-primary">Calculate premium</button>
                    </div>
                </div>
                <h3 class="text-center text-body font-weight-bold" th:if="*{expectedPremium != 0}">Expected premium
                    amount:</h3>
                <h3 class="text-center text-body font-weight-bold" th:if="*{expectedPremium != 0}"
                    th:text="*{expectedPremium + ' BGN'} ">12345</h3>
            </div>
        </form>

        <form th:object="${calculateOfferDTO}" th:action="@{/save-offer}" method="post">
            <div class="text-center">
                <button th:if="*{expectedPremium != 0 && carIsInRequestedPolicy == false}" type="submit"
                        class=" mt-3 mb-5 btn btn-primary">Save offer
                </button>
                <button th:if="*{expectedPremium != 0 && carIsInRequestedPolicy == true}" type="submit"
                        class=" mt-3 mb-5 btn btn-primary" disabled
                        title="There are active requests for car with this registration number">Save offer
                </button>
            </div>
        </form>

    </div>
</div>

<section class="page-section" id="services">
    <div class="container">
        <h2 class="text-center mt-0">At Your Service</h2>
        <hr class="divider my-4"/>
        <div class="row">
            <div class="col-lg-3 col-md-6 text-center">
                <div class="mt-5">
                    <i class="fas fa-4x fa-car text-primary mb-4"></i>
                    <h3 class="h4 mb-2">Universal Car Insurance</h3>
                    <p class="text-muted mb-0">Our car insurance policies have excellent coverage options</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 text-center">
                <div class="mt-5">
                    <i class="fas fa-4x fa-globe text-primary mb-4"></i>
                    <h3 class="h4 mb-2">100% Online Process</h3>
                    <p class="text-muted mb-0">Request an insurance policy without leaving your home</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 text-center">
                <div class="mt-5">
                    <i class="fas fa-4x fa-clock text-primary mb-4"></i>
                    <h3 class="h4 mb-2">Quick approval</h3>
                    <p class="text-muted mb-0">Our insurance agents approve your policy request within hours</p>
                </div>
            </div>
            <div class="col-lg-3 col-md-6 text-center">
                <div class="mt-5">
                    <i class="fas fa-4x fa-hourglass text-primary mb-4"></i>
                    <h3 class="h4 mb-2">Policy History</h3>
                    <p class="text-muted mb-0">Create an account and view all your Safety Car policies in one place</p>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="page-section bg-secondary" id="contact">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8 text-center">
                <h2 class="mt-0">Let's Get In Touch!</h2>
                <hr class="divider my-4"/>
                <p class="text-muted mb-5">Ready to discuss your car insurance options with us? Send us an
                    email and we will get back to you as soon as possible!</p>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 mr-auto text-center">
                <i class="fas fa-envelope fa-3x mb-3 text-muted"></i>
                <div class="d-block">safetycarwebapplication@gmail.com</div>
            </div>
        </div>
    </div>
</section>

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">

<div class="container" id="links">
    <hr/>
    <div class="text-center center-block">
        <br/>
        <a href="https://www.telerikacademy.com/">
            <img th:src="@{/assets/img/Telerik_academy.png}" src="../static/assets/img/Telerik_academy.png"
                 class="social">
        </a>
        <a href="http://tinqin.com/">
            <img th:src="@{/assets/img/TINQIN-logo.png}" src="../static/assets/img/TINQIN-logo.png" class="social">
        </a>

    </div>
    <hr/>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script>
</body>
</html>
